Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Transmit_File::Header_And_Trailer Class Reference

The class defines a data structure that contains pointers to data to send before and after the file data is sent. More...

`#include <Asynch_IO.h>`

Collaboration diagram for ACE_Asynch_Transmit_File::Header_And_Trailer:

[legend]
List of all members.

## Public Methods
| Header_And_Trailer (ACE_Message_Block *header=0, size_t header_bytes=0, ACE_Message_Block *trailer=0, size_t trailer_bytes=0)
| Constructor.
virtual | ~Header_And_Trailer (void)
| Destructor.
void | header_and_trailer (ACE_Message_Block *header=0, size_t header_bytes=0, ACE_Message_Block *trailer=0, size_t trailer_bytes=0)
| This method allows all the member to be set in one fell swoop.
ACE_Message_Block * | header (void) const
| Get header which goes before the file data.
void | header (ACE_Message_Block *message_block)
| Set header which goes before the file data.
size_t | header_bytes (void) const
| Get size of the header data.
void | header_bytes (size_t bytes)
| Set size of the header data.
ACE_Message_Block * | trailer (void) const
| Get trailer which goes after the file data.
void | trailer (ACE_Message_Block *message_block)
| Set trailer which goes after the file data.
size_t | trailer_bytes (void) const
| Get size of the trailer data.
void | trailer_bytes (size_t bytes)
| Set size of the trailer data.
ACE_LPTRANSMIT_FILE_BUFFERS | transmit_buffers (void)
| Conversion routine.
## Protected Attributes
ACE_Message_Block * | header_
| Header data.
size_t | header_bytes_
| Size of header data.
ACE_Message_Block * | trailer_
| Trailer data.
size_t | trailer_bytes_
| Size of trailer data.
ACE_TRANSMIT_FILE_BUFFERS | transmit_buffers_
| Target data structure.

## Detailed Description

The class defines a data structure that contains pointers to data to send before and after the file data is sent.

This class provides a wrapper over TRANSMIT_FILE_BUFFERS and provided a consistent use of ACE_Message_Blocks.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File::Header_And_Trailer::Header_And_Trailer | ( | ACE_Message_Block * | header = 0,
|  | size_t | header_bytes = 0,
|  | ACE_Message_Block * | trailer = 0,
|  | size_t | trailer_bytes = 0
| ) |

| Constructor.

ACE_Asynch_Transmit_File::Header_And_Trailer::~Header_And_Trailer | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Asynch_Transmit_File::Header_And_Trailer::header | ( | ACE_Message_Block * | message_block | ) |

| Set header which goes before the file data.

ACE_Message_Block * ACE_Asynch_Transmit_File::Header_And_Trailer::header | ( | void |  | ) | const

| Get header which goes before the file data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::header_and_trailer | ( | ACE_Message_Block * | header = 0,
|  | size_t | header_bytes = 0,
|  | ACE_Message_Block * | trailer = 0,
|  | size_t | trailer_bytes = 0
| ) |

| This method allows all the member to be set in one fell swoop.

void ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes | ( | size_t | bytes | ) |

| Set size of the header data.

size_t ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes | ( | void |  | ) | const

| Get size of the header data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::trailer | ( | ACE_Message_Block * | message_block | ) |

| Set trailer which goes after the file data.

ACE_Message_Block * ACE_Asynch_Transmit_File::Header_And_Trailer::trailer | ( | void |  | ) | const

| Get trailer which goes after the file data.

void ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes | ( | size_t | bytes | ) |

| Set size of the trailer data.

size_t ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes | ( | void |  | ) | const

| Get size of the trailer data.

ACE_LPTRANSMIT_FILE_BUFFERS ACE_Asynch_Transmit_File::Header_And_Trailer::transmit_buffers | ( | void |  | ) |

| Conversion routine.

## Member Data Documentation

ACE_Message_Block* ACE_Asynch_Transmit_File::Header_And_Trailer::header_`[protected]`

| Header data.

size_t ACE_Asynch_Transmit_File::Header_And_Trailer::header_bytes_`[protected]`

| Size of header data.

ACE_Message_Block* ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_`[protected]`

| Trailer data.

size_t ACE_Asynch_Transmit_File::Header_And_Trailer::trailer_bytes_`[protected]`

| Size of trailer data.

ACE_TRANSMIT_FILE_BUFFERS ACE_Asynch_Transmit_File::Header_And_Trailer::transmit_buffers_`[protected]`

| Target data structure.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.cpp